Package com.ocient.jdbc.proto

## Interface PlanProtocol.HashJoinOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.HashJoinOperator`, `PlanProtocol.HashJoinOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.HashJoinOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getCbc()` flags indicating that this is actually a correlated count bug correction join
`PlanProtocol.Disjunction` `getFilters​(int index)` Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`int` `getFiltersCount()` Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`List<PlanProtocol.Disjunction>` `getFiltersList()` Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`boolean` `getGdcJoin()` Whether or not this is a gdc join
`boolean` `getImplicitProjs​(int index)` implicitly project gdc keys [(for left child, for right child), ...] each
`int` `getImplicitProjsCount()` implicitly project gdc keys [(for left child, for right child), ...] each
`List<Boolean>` `getImplicitProjsList()` implicitly project gdc keys [(for left child, for right child), ...] each
`PlanProtocol.JoinCols` `getJoinCols​(int index)` Each entry represents the equijoin columns for one child, they are in order of the children
`int` `getJoinColsCount()` Each entry represents the equijoin columns for one child, they are in order of the children
`List<PlanProtocol.JoinCols>` `getJoinColsList()` Each entry represents the equijoin columns for one child, they are in order of the children
`PlanProtocol.JoinColsOrBuilder` `getJoinColsOrBuilder​(int index)` Each entry represents the equijoin columns for one child, they are in order of the children
`List<? extends PlanProtocol.JoinColsOrBuilder>` `getJoinColsOrBuilderList()` Each entry represents the equijoin columns for one child, they are in order of the children
`boolean` `getMatchNullKeys()` Whether or not this join is matching null keys
`long` `getMatchNullKeysIdxes​(int index)` Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`int` `getMatchNullKeysIdxesCount()` Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`List<Long>` `getMatchNullKeysIdxesList()` Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`boolean` `getScalar()` `bool scalar = 5;`
`PlanProtocol.JoinType` `getType()` Type of the join - if there are more than 2 children, it will be INNER
`int` `getTypeValue()` Type of the join - if there are more than 2 children, it will be INNER
`boolean` `getZero()` `bool zero = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getJoinColsList

    List<PlanProtocol.JoinCols> getJoinColsList()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

#### getJoinCols

    PlanProtocol.JoinCols getJoinCols​(int index)

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

#### getJoinColsCount

    int getJoinColsCount()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

#### getJoinColsOrBuilderList

    List<? extends PlanProtocol.JoinColsOrBuilder> getJoinColsOrBuilderList()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

#### getJoinColsOrBuilder

    PlanProtocol.JoinColsOrBuilder getJoinColsOrBuilder​(int index)

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

#### getFiltersList

    List<PlanProtocol.Disjunction> getFiltersList()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

#### getFilters

    PlanProtocol.Disjunction getFilters​(int index)

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

#### getFiltersCount

    int getFiltersCount()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

#### getFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

#### getFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

#### getTypeValue

    int getTypeValue()

    Type of the join - if there are more than 2 children, it will be INNER

`.xg.db.sqlPlans.JoinType type = 3;`

Returns:
  The enum numeric value on the wire for type.

#### getType

    PlanProtocol.JoinType getType()

    Type of the join - if there are more than 2 children, it will be INNER

`.xg.db.sqlPlans.JoinType type = 3;`

Returns:
  The type.

#### getCbc

    boolean getCbc()

    flags indicating that this is actually a correlated count bug correction join

`bool cbc = 4;`

Returns:
  The cbc.

#### getScalar

    boolean getScalar()

`bool scalar = 5;`

Returns:
  The scalar.

#### getZero

    boolean getZero()

`bool zero = 6;`

Returns:
  The zero.

#### getGdcJoin

    boolean getGdcJoin()

    Whether or not this is a gdc join

`bool gdcJoin = 7;`

Returns:
  The gdcJoin.

#### getMatchNullKeys

    boolean getMatchNullKeys()

    Whether or not this join is matching null keys

`bool matchNullKeys = 8;`

Returns:
  The matchNullKeys.

#### getImplicitProjsList

    List<Boolean> getImplicitProjsList()

     implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

Returns:
  A list containing the implicitProjs.

#### getImplicitProjsCount

    int getImplicitProjsCount()

     implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

Returns:
  The count of implicitProjs.

#### getImplicitProjs

    boolean getImplicitProjs​(int index)

     implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The implicitProjs at the given index.

#### getMatchNullKeysIdxesList

    List<Long> getMatchNullKeysIdxesList()

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

Returns:
  A list containing the matchNullKeysIdxes.

#### getMatchNullKeysIdxesCount

    int getMatchNullKeysIdxesCount()

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

Returns:
  The count of matchNullKeysIdxes.

#### getMatchNullKeysIdxes

    long getMatchNullKeysIdxes​(int index)

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The matchNullKeysIdxes at the given index.